com.google.gwt.user.cellview.client

## Interface DataGrid.Resources

All Superinterfaces:
  ClientBundle

Enclosing class:
  DataGrid<T>

    public static interface DataGrid.Resources
    extends ClientBundle

A ClientBundle that provides images for this widget.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

`ClientBundle.Source`

### Method Summary

All Methods Instance Methods Abstract Methods
`ImageResource` `dataGridLoading()` The loading indicator used while the table is waiting for data.
`ImageResource` `dataGridSortAscending()` Icon used when a column is sorted in ascending order.
`ImageResource` `dataGridSortDescending()` Icon used when a column is sorted in descending order.
`DataGrid.Style` `dataGridStyle()` The styles used in this widget.

### Method Detail

#### dataGridLoading

    @ClientBundle.Source(value="cellTableLoading.gif")
     @ImageResource.ImageOptions(flipRtl=true)
    ImageResource dataGridLoading()

The loading indicator used while the table is waiting for data.

#### dataGridSortAscending

    @ClientBundle.Source(value="sortAscending.png")
     @ImageResource.ImageOptions(flipRtl=true)
    ImageResource dataGridSortAscending()

Icon used when a column is sorted in ascending order.

#### dataGridSortDescending

    @ClientBundle.Source(value="sortDescending.png")
     @ImageResource.ImageOptions(flipRtl=true)
    ImageResource dataGridSortDescending()

Icon used when a column is sorted in descending order.

#### dataGridStyle

    @ClientBundle.Source(value="com/google/gwt/user/cellview/client/DataGrid.css")
    DataGrid.Style dataGridStyle()

The styles used in this widget.